Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.context
Class BaseExtendedVisitContext

    java.lang.Object
      javax.faces.component.visit.VisitContext
          org.richfaces.context.ExtendedVisitContext
              org.richfaces.context.BaseExtendedVisitContext

Direct Known Subclasses:
  ExecuteExtendedVisitContext, RenderExtendedVisitContext

    public class BaseExtendedVisitContext

extends org.richfaces.context.ExtendedVisitContext

Author:
  Nick Belaevski

Nested Class Summary
`protected static interface` | `BaseExtendedVisitContext.ClientIdVisitor`

Field Summary
`protected BaseExtendedVisitContext.ClientIdVisitor` | `addNodeVisitor`
`protected BaseExtendedVisitContext.ClientIdVisitor` | `removeNodeVisitor`

Fields inherited from class org.richfaces.context.ExtendedVisitContext
`META_COMPONENT_ID`

Fields inherited from class javax.faces.component.visit.VisitContext
`ALL_IDS`

Constructor Summary
`BaseExtendedVisitContext(javax.faces.context.FacesContext facesContext, Collection<String> clientIds, Set<javax.faces.component.visit.VisitHint> hints, org.richfaces.context.ExtendedVisitContextMode contextMode)` Creates a PartialVisitorContext instance with the specified hints.

Method Summary
`protected void` | `addDirectSubtreeIdsToVisitForImplicitComponents(javax.faces.component.UIComponent component, Set<String> result)`
`javax.faces.component.visit.VisitContext` | `createNamingContainerVisitContext(javax.faces.component.UIComponent component, Collection<String> directIds)`
`Collection<String>` | `getDirectSubtreeIdsToVisit(javax.faces.component.UIComponent component)`
`Set<javax.faces.component.visit.VisitHint>` | `getHints()`
`Collection<String>` | `getIdsToVisit()`
`Collection<String>` | `getSubtreeIdsToVisit(javax.faces.component.UIComponent component)`
`protected boolean` | `hasImplicitSubtreeIdsToVisit(javax.faces.component.UIComponent component)`
`javax.faces.component.visit.VisitResult` | `invokeVisitCallback(javax.faces.component.UIComponent component, javax.faces.component.visit.VisitCallback callback)`
`protected javax.faces.component.visit.VisitResult` | `invokeVisitCallbackForImplicitComponent(javax.faces.component.UIComponent component, javax.faces.component.visit.VisitCallback callback)`
`protected boolean` | `shouldCompleteOnEmptyIds()`
`protected void` | `visitClientId(String clientId, BaseExtendedVisitContext.ClientIdVisitor visitor)`

Methods inherited from class org.richfaces.context.ExtendedVisitContext
`buildExtendedClientId, buildExtendedComponentId, getFacesContext, getVisitMode, invokeMetaComponentVisitCallback`

Methods inherited from class javax.faces.component.visit.VisitContext
`createVisitContext, createVisitContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### addNodeVisitor

    protected final BaseExtendedVisitContext.ClientIdVisitor addNodeVisitor

### removeNodeVisitor

    protected final BaseExtendedVisitContext.ClientIdVisitor removeNodeVisitor

Constructor Detail

### BaseExtendedVisitContext

    public BaseExtendedVisitContext(javax.faces.context.FacesContext facesContext,
                                    Collection<String> clientIds,
                                    Set<javax.faces.component.visit.VisitHint> hints,
                                    org.richfaces.context.ExtendedVisitContextMode contextMode)

  Creates a PartialVisitorContext instance with the specified hints.

  Parameters:
    `facesContext` - the FacesContext for the current request
    `clientIds` - the client ids of the components to visit
    `hints` - a the VisitHints for this visit
  Throws:
    `NullPointerException` - if `facesContext` is `null`

Method Detail

### visitClientId

    protected void visitClientId(String clientId,
                                 BaseExtendedVisitContext.ClientIdVisitor visitor)

### getHints

    public Set<javax.faces.component.visit.VisitHint> getHints()

  Specified by:
    `getHints` in class `javax.faces.component.visit.VisitContext`
  See Also:
    `VisitContext.getHints`

### getIdsToVisit

    public Collection<String> getIdsToVisit()

  Specified by:
    `getIdsToVisit` in class `javax.faces.component.visit.VisitContext`
  See Also:
    `VisitContext.getIdsToVisit()`

### hasImplicitSubtreeIdsToVisit

    protected boolean hasImplicitSubtreeIdsToVisit(javax.faces.component.UIComponent component)

### getSubtreeIdsToVisit

    public Collection<String> getSubtreeIdsToVisit(javax.faces.component.UIComponent component)

  Specified by:
    `getSubtreeIdsToVisit` in class `javax.faces.component.visit.VisitContext`
  See Also:
    `VisitContext.getSubtreeIdsToVisit()`

### addDirectSubtreeIdsToVisitForImplicitComponents

    protected void addDirectSubtreeIdsToVisitForImplicitComponents(javax.faces.component.UIComponent component,
                                                                   Set<String> result)

### getDirectSubtreeIdsToVisit

    public Collection<String> getDirectSubtreeIdsToVisit(javax.faces.component.UIComponent component)

  Specified by:
    `getDirectSubtreeIdsToVisit` in class `org.richfaces.context.ExtendedVisitContext`

### invokeVisitCallbackForImplicitComponent

    protected javax.faces.component.visit.VisitResult invokeVisitCallbackForImplicitComponent(javax.faces.component.UIComponent component,
                                                                                              javax.faces.component.visit.VisitCallback callback)

### shouldCompleteOnEmptyIds

    protected boolean shouldCompleteOnEmptyIds()

### invokeVisitCallback

    public javax.faces.component.visit.VisitResult invokeVisitCallback(javax.faces.component.UIComponent component,
                                                                       javax.faces.component.visit.VisitCallback callback)

  Specified by:
    `invokeVisitCallback` in class `javax.faces.component.visit.VisitContext`
  See Also:
    `VisitContext.invokeVisitCallback()`

### createNamingContainerVisitContext

    public javax.faces.component.visit.VisitContext createNamingContainerVisitContext(javax.faces.component.UIComponent component,
                                                                                      Collection<String> directIds)

  Specified by:
    `createNamingContainerVisitContext` in class `org.richfaces.context.ExtendedVisitContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.